Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.mips.instructions.syscalls
Class SyscallSleep

    java.lang.Object
      mars.mips.instructions.syscalls.AbstractSyscall
          mars.mips.instructions.syscalls.SyscallSleep

All Implemented Interfaces:
  Syscall

    public class SyscallSleep

extends AbstractSyscall

Service to cause the MARS Java thread to sleep for (at least) the specified number of milliseconds. This timing will not be precise as the Java implementation will add some overhead.

Constructor Summary
`SyscallSleep()` Build an instance of the syscall with its default service number and name.

Method Summary
`void` | `simulate(ProgramStatement statement)` System call to cause the MARS Java thread to sleep for (at least) the specified number of milliseconds.

Methods inherited from class mars.mips.instructions.syscalls.AbstractSyscall
`getName, getNumber, setNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyscallSleep

    public SyscallSleep()

  Build an instance of the syscall with its default service number and name.

Method Detail

### simulate

    public void simulate(ProgramStatement statement)
                  throws ProcessingException

  System call to cause the MARS Java thread to sleep for (at least) the specified number of milliseconds. This timing will not be precise as the Java implementation will add some overhead.

  Specified by:
    `simulate` in interface `Syscall`
  Specified by:
    `simulate` in class `AbstractSyscall`
  Parameters:
    `statement` - ProgramStatement object for this syscall instruction.
  Throws:
    `ProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD